:root {
    --margin-inline: 10px;
    font-family: Roboto, sans-serif;
}

.retail-list .retail-group.hidden {
    display: none;
}

.section-title {
    font-size: 16px;
    margin-block: 10px;
    font-weight: 400;
    text-transform: uppercase;
}

.headquarter .information h3 {
    font-size: 14px;
    color: #1a2745;
    font-weight: 500;
}

.headquarter .hq-name {
    font-size: 15px;
    font-family: Inter, sans-serif;
    font-weight: 600;
}

.headquarter .hq-address,
.headquarter .phone,
.headquarter .open-hour {
    display: flex;
    gap: 5px;
}

.headquarter .map {
    display: none;
}

.filter-zone label {
    font-size: 12px;
}

.filter-zone .form-group {
    display: flex;
    flex-direction: column;
}

.filter-zone input[type="text"] {
    border: 1px solid #d9d9d9;
    padding: 11px;
    border-radius: 5px;
}

.filter-zone .form {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.filter-zone input[type="submit"] {
    background-color: #e0e0e0;
    color: #4f4f4f;
    font-family: Inter, sans-serif;
    font-weight: 400;
    padding: 10px;
    border-radius: 5px;
    margin-top: 10px;
}

.retail-list {
    display: flex;
    flex-direction: column;
    gap: 15px;
    font-family: Inter, sans-serif;
}

.retail-list .retail-group {
    background-color: #f6f6f6;
    padding: 10px;
    border-radius: 5px;
}

.retail-list .retail-group .stt,
.retail-list .retail-group .province {
    display: none;
}

.retail-list .retail-name {
    display: flex;
    gap: 5px;
    & a {
        color: #00aeff;
        &:hover {
            text-decoration: underline;
        }
    }
}

.retail-list .retail-address,
.retail-list .retail-phone {
    margin-left: 20px;
    font-size: 12px;
    color: #4f4f4f;
}

.section-title,
.headquarter,
.filter-zone,
.retail-list,
.hotline {
    margin-inline: var(--margin-inline);
}

.retail-list .retail-title {
    display: none;
}

@media (min-width: 768px) {
    :root {
        --margin-inline: 60px;
    }
}

@media (min-width: 1280px) {
    :root {
        --margin-inline: 270px;
    }

    .headquarter {
        display: flex;
        gap: 10px;
        justify-content: space-between;
    }

    .headquarter .map {
        display: block;
    }
    .section-title {
        font-size: 32px;
    }

    .headquarter .information h3 {
        font-size: 28px;
    }

    .headquarter .hq-name {
        font-size: 22px;
    }

    .headquarter .hq-address,
    .headquarter .phone,
    .headquarter .open-hour {
        font-size: 20px;
    }

    .filter-zone {
        --label-width: 150px;
    }

    .filter-zone .form {
        flex-direction: row;
        align-items: center;
        gap: 20px;
    }

    .filter-zone label {
        font-size: 20px;
        width: var(--label-width);
    }

    .filter-zone .form-group {
        flex-direction: row;
        align-items: center;
        flex-basis: 35%;
    }

    .filter-zone .form-group .dropdown-light-container, .filter-zone .form-group input[type="text"] {
        width: calc(100% - var(--label-width));
    }

    .filter-zone input[type="submit"] {
        margin-left: auto;
        margin-top: 0;
        cursor: pointer;
    }

    .retail-list {
        gap: 0;
    }

    .retail-list .retail-group {
        padding: 0;
        background-color: transparent;
        display: flex;
        height: 83.28px;
        border: 1px solid #f0f0f0;
        border-top: none;
        border-radius: 0;
    }

    .retail-list .retail-group .stt,
    .retail-list .retail-group .province ,
    .retail-list .retail-group .retail-name,
    .retail-list .retail-group .retail-address,
    .retail-list .retail-group .retail-phone {
        display: flex;
        align-items: center;
        font-size: 16px;
        color: #000000d9;
        padding: 0 16px;
    }

    .retail-list .retail-group .retail-name img {
        display: none;
    }

    .retail-list .retail-address,
    .retail-list .retail-phone {
        margin-left: 0;
    }

    .retail-list .retail-group .stt,
    .retail-list .retail-title .stt-title {
        flex-basis: 80px;
        justify-content: center;
    }
    .retail-list .retail-group .province ,
    .retail-list .retail-title .province-title{
        flex-basis: 200px;
    }
    .retail-list .retail-group .retail-name,
    .retail-list .retail-title .retail-name-title {
        flex-basis: 300px;
    }
    .retail-list .retail-group .retail-address,
    .retail-list .retail-title .retail-address-title {
        flex-basis: 550px;
    }
    .retail-list .retail-group .retail-phone,
    .retail-list .retail-title .retail-phone-title {
        flex-basis: 150px;
    }
    .retail-list .retail-title {
        background-color: #1a2745;
        display: flex;
        height: 58.14px;
    }

    .retail-list .retail-title .stt-title,
    .retail-list .retail-title .province-title ,
    .retail-list .retail-title .retail-name-title,
    .retail-list .retail-title .retail-address-title,
    .retail-list .retail-title .retail-phone-title {
        display: flex;
        align-items: center;
        font-size: 16px;
        font-weight: 600;
        color: #fff;
        padding: 0 16px;
        justify-content: center;
        text-transform: uppercase;
    }
}
